Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
unable to build modules with 2.6.13, gcc-3.4.4 and nptl
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
zaiyon
Apprentice
Apprentice


Joined: 19 May 2004
Posts: 219
Location: Germany

PostPosted: Thu Sep 08, 2005 7:59 pm    Post subject: unable to build modules with 2.6.13, gcc-3.4.4 and nptl Reply with quote

Hi, I recently recompiled glibc with the nptl and nptlonly useflag.

Now, I built a new kernel (2.6.13) and compiled nvidia-kernel. This happens on modprobe:
Code:

FATAL: Error inserting nvidia (/lib/modules/2.6.13-gentoo/video/nvidia.ko): Invalid module format


Vmware is a more talkative, it says:
Code:

Your kernel was built with "gcc" version "3.3.5", while you are trying to use
"/usr/bin/gcc" version "3.4.4". This configuration is not recommended and VMware
Workstation may crash if you'll continue. Please try to use exactly same
compiler as one used for building your kernel. Do you want to go with compiler
"/usr/bin/gcc" version "3.4.4" anyway? [no]

When I try to built its modules.




But I always use 3.4.4, this is my gcc-config -l (before and after kernel compilation):
Code:

[1] i386-pc-linux-gnu-3.3.5
[2] i386-pc-linux-gnu-3.3.5-hardened
[3] i386-pc-linux-gnu-3.3.5-hardenednopie
[4] i386-pc-linux-gnu-3.3.5-hardenednossp
[5] i686-pc-linux-gnu-3.4.4 *
[6] i686-pc-linux-gnu-3.4.4-hardened
[7] i686-pc-linux-gnu-3.4.4-hardenednopie
[8] i686-pc-linux-gnu-3.4.4-hardenednopiessp
[9] i686-pc-linux-gnu-3.4.4-hardenednossp


I tried to make mrproper the kernel and recompile everything, it does not work.

Any ideas?
_________________
What do you have when you have six lawyers buried up to their necks in sand? Not enough sand.
My Project - open Outcast
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Fri Sep 09, 2005 9:51 am    Post subject: Reply with quote

before kernel compilation, what is: gcc --version giving you? I had a similar problem... I just re-emerged gcc, switched to 3.4.4 and everything is ok now..
Back to top
View user's profile Send private message
didl
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 1106
Location: Pittsburgh, PA

PostPosted: Fri Sep 09, 2005 10:36 am    Post subject: Reply with quote

Code:

cat /proc/version


will tell you which gcc was used to build the kernel image. If it says gcc-3.3.5 and you
want 3.4.4 you will have to rebuild the kernel, move the new bzImage to /boot and reboot.
Then your modules should load.
Back to top
View user's profile Send private message
zaiyon
Apprentice
Apprentice


Joined: 19 May 2004
Posts: 219
Location: Germany

PostPosted: Fri Sep 09, 2005 3:57 pm    Post subject: Reply with quote

/proc/version and gcc --version were both giving me "3.4.4", but rebooting again (I allready rebooted once after kernel compilation ...)
solved all my problems, even if it all sounds weird.

Thx for your help.
_________________
What do you have when you have six lawyers buried up to their necks in sand? Not enough sand.
My Project - open Outcast
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Tue Sep 20, 2005 5:14 pm    Post subject: Reply with quote

Moved from Kernel & Hardware to Duplicate Threads in favour of 'modprobe nvidia' fails.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum